using DevDisciples.Parsing;

namespace DevDisciples.Json.Parser;

public readonly struct JsonArray : ISyntaxNode
{
    public Lexer<JsonToken>.Token Token { get; }
    public ISyntaxNode[] Elements { get; }

    public JsonArray(Lexer<JsonToken>.Token token, ISyntaxNode[] elements)
    {
        Token = token;
        Elements = elements;
    }
}