﻿using DevDisciples.Parsing;

namespace DevDisciples.Json.Parser;

public readonly partial struct JsonObject
{
    public readonly struct Property : ISyntaxNode
    {
        public string Key { get; }
        public ISyntaxNode Value { get; }

        public Property(string key, ISyntaxNode value)
        {
            Key = key;
            Value = value;
        }
    }
}