namespace DevDisciples.Parsing;

public static class Visitor
{
    public delegate void Visit(object visitee, params object[] args);
    public delegate TOut Visit<TOut>(object visitee, params object[] args);
    public delegate TOut Visit<TIn, TOut>(TIn visitee, params object[] args);
}