using DevDisciples.Parsing;

namespace DevDisciples.Json.Parser;

public readonly partial struct JsonObject : ISyntaxNode
{
    public Lexer<JsonToken>.Token Token { get; }
    public Property[] Properties { get; }

    public JsonObject(Lexer<JsonToken>.Token token, Property[] properties)
    {
        Token = token;
        Properties = properties;
    }
}